PCLZIP_ERR_BAD_FORMAT – WordPress Upgradation Problem

Recently I was asked by a client of mine to upgrade her self-hosted WordPress blog to 2.71. from 2.6. I though it to be a smooth task as this was a pretty new installation without any plugins or themes and I had upgraded at least 10 other self hosted WordPress blogs (far bigger than this one) few days back without any problem. I logged on to the blog’s dashboard and upgrade warning from WordPress was flashing on the screen. I gladly clicked on upgrade button and thought the task is taken care of. But what the hell!!!! The process got stuck in between throwing following error message:

Downloading update from http://wordpress.org/wordpress-2.7.1.zip
Unpacking the core update
Incompatible archive: PCLZIP_ERR_BAD_FORMAT (-10) : Invalid block size : xx
Installation Failed

I just cursed my day and started pondering over the issue. I had at least 10 other self hosted WordPress blogs few days back and none had given this problem. I googled it and searched support forums at wordpress.org also but nothing with a clear solution came up.  I wanted to bang my computer as client was on my head and mocking my earlier claim to complete it in five minutes.

Suddenly something striked my mind and I checked the PHP version client was having on his site. It was PHP5. I knew from my previous experiences that PHP5 and WordPress are not friendly at all. Luckily clients’ hosting service provider had both PHP4 and PHP5 installed on the server and from cPanel I had the option to choose which version will handle all PHP requests on the site. I changed it to PHP4. Logged in WordPress dashboard, clicked on upgrade button and WOW!!!!!! Less than two minutes and it was WP 2.7.1  🙂 Client was amused at the speed of the upgradation and I was happy to have some material for one more tutorial / trick post at India Website Designer.

Advertisements